//+------------------------------------------------------------------+
//|                                         Variabili-Globali-RX.mq4 |
//|                                               Trading Automatico |
//|                                        https://claudiodelpup.com |
//+------------------------------------------------------------------+
#property copyright "Trading Automatico"
#property link      "https://claudiodelpup.com"
#property version   "1.00"
#property strict
#property indicator_chart_window
double NumeroRX=0;
string BOX3 = "RX";
string BOX4 = "BT_Ricevi";

//+------------------------------------------------------------------+
//| Inizializza Indicatore                                           |
//+------------------------------------------------------------------+
int OnInit()
  {
  
    CreaBOX(BOX3,DoubleToStr(NumeroRX,0),false,15,50,200,20,clrBlue,clrWhite);    
    CreaBOX(BOX4,"Leggi",false,215,50,100,20,clrViolet,clrWhite);    
    return(INIT_SUCCEEDED);
  }

//+------------------------------------------------------------------+
//| Finalizza Indicatore                                             |
//+------------------------------------------------------------------+
void OnDeinit(const int reason)
  {
     ObjectDelete(0,BOX3);
     ObjectDelete(0,BOX4);
  }
//+------------------------------------------------------------------+
//| Corpo del programma                                              |
//+------------------------------------------------------------------+

void OnTimer()
  {
  
  
  }
void start()
  {
    
  }
//+------------------------------------------------------------------------------+
//| Funzione per Creare i BOX                                                    |
//+------------------------------------------------------------------------------+  
void CreaBOX(const string NomeBOX,string Testo,bool Edit,int DistanzaX,int DistanzaY,int DimensioneX,int DimensioneY,color Colore,color ColoreTesto){
   if(Edit){
      if(!ObjectCreate(0,NomeBOX,OBJ_EDIT,0,0,0)){ 
         return;
      }
   }
   else {
      if(!ObjectCreate(0,NomeBOX,OBJ_BUTTON,0,0,0)){ 
         return;
      }
   }
   ObjectSetInteger(0,NomeBOX,OBJPROP_CORNER,CORNER_LEFT_UPPER);
   ObjectSetInteger(0,NomeBOX,OBJPROP_XDISTANCE,DistanzaX); 
   ObjectSetInteger(0,NomeBOX,OBJPROP_YDISTANCE,DistanzaY); 
   ObjectSetInteger(0,NomeBOX,OBJPROP_XSIZE,DimensioneX); 
   ObjectSetInteger(0,NomeBOX,OBJPROP_YSIZE,DimensioneY);
   ObjectSetString(0,NomeBOX,OBJPROP_TEXT,Testo);
   ObjectSetString(0,NomeBOX,OBJPROP_FONT,"Arial"); 
   ObjectSetInteger(0,NomeBOX,OBJPROP_FONTSIZE,10);
   ObjectSetInteger(0,NomeBOX,OBJPROP_BGCOLOR,Colore);
   ObjectSetInteger(0,NomeBOX,OBJPROP_COLOR,ColoreTesto);
   ObjectSetInteger(0,NomeBOX,OBJPROP_BORDER_COLOR,clrDarkGreen);
   ObjectSetInteger(0,NomeBOX,OBJPROP_BACK,false); 
   ObjectSetInteger(0,NomeBOX,OBJPROP_STATE,false);
   ObjectSetInteger(0,NomeBOX,OBJPROP_SELECTABLE,false);
   ObjectSetInteger(0,NomeBOX,OBJPROP_SELECTED,false);
   ObjectSetInteger(0,NomeBOX,OBJPROP_HIDDEN,false);
}
//+------------------------------------------------------------------------------+
//| Funzione che rileva il Click del Mouse                                       |
//+------------------------------------------------------------------------------+  
void OnChartEvent(const int id, const long &lparam, const double &dparam, const string &sparam)
{
  if(id==CHARTEVENT_OBJECT_CLICK){
   
    if(sparam == BOX4){
//  ** Salvo nella Variabile NumeroRX il contenuto della Variabile Globale NumeroTX_RX ***
       NumeroRX=GlobalVariableGet("NumeroTX_RX");                    

//  ** Visualizzo nel BOX il contenuto della Variabile NumeroRX ***
   ObjectSetString(0,BOX3,OBJPROP_TEXT,DoubleToStr(NumeroRX,0));
    }
  }
}