//+------------------------------------------------------------------+
//|                                         Variabili-Globali-TX.mq4 |
//|                                               Trading Automatico |
//|                                        https://claudiodelpup.com |
//+------------------------------------------------------------------+
#property copyright "Trading Automatico"
#property link      "https://claudiodelpup.com"
#property version   "1.00"
#property strict
#property indicator_chart_window

double NumeroTX=0;
string BOX1 = "TX";
string BOX2 = "BT_Salva";
//+------------------------------------------------------------------+
//| Inizializza Indicatore                                           |
//+------------------------------------------------------------------+
int OnInit()
  {
    CreaBOX(BOX1,DoubleToStr(NumeroTX,0),true,15,15,200,20,clrBlue,clrWhite);    
    CreaBOX(BOX2,"Salva",false,215,15,100,20,clrViolet,clrWhite);    
   return(INIT_SUCCEEDED);
  }
//+------------------------------------------------------------------+
//| Finalizza Indicatore                                             |
//+------------------------------------------------------------------+
void OnDeinit(const int reason)
  {
     ObjectDelete(0,BOX1);
     ObjectDelete(0,BOX2);
  }

//+------------------------------------------------------------------+
//| Corpo del programma                                              |
//+------------------------------------------------------------------+
void start()
  {
  
  }
//+------------------------------------------------------------------------------+
//| Funzione per Creare i BOX                                                    |
//+------------------------------------------------------------------------------+  
void CreaBOX(const string NomeBOX,string Testo,bool Edit,int DistanzaX,int DistanzaY,int DimensioneX,int DimensioneY,color Colore,color ColoreTesto){
   if(Edit){
      if(!ObjectCreate(0,NomeBOX,OBJ_EDIT,0,0,0)){ 
         return;
      }
   }
   else {
      if(!ObjectCreate(0,NomeBOX,OBJ_BUTTON,0,0,0)){ 
         return;
      }
   }
   ObjectSetInteger(0,NomeBOX,OBJPROP_CORNER,CORNER_LEFT_UPPER);
   ObjectSetInteger(0,NomeBOX,OBJPROP_XDISTANCE,DistanzaX); 
   ObjectSetInteger(0,NomeBOX,OBJPROP_YDISTANCE,DistanzaY); 
   ObjectSetInteger(0,NomeBOX,OBJPROP_XSIZE,DimensioneX); 
   ObjectSetInteger(0,NomeBOX,OBJPROP_YSIZE,DimensioneY);
   ObjectSetString(0,NomeBOX,OBJPROP_TEXT,Testo);
   ObjectSetString(0,NomeBOX,OBJPROP_FONT,"Arial"); 
   ObjectSetInteger(0,NomeBOX,OBJPROP_FONTSIZE,10);
   ObjectSetInteger(0,NomeBOX,OBJPROP_BGCOLOR,Colore);
   ObjectSetInteger(0,NomeBOX,OBJPROP_COLOR,ColoreTesto);
   ObjectSetInteger(0,NomeBOX,OBJPROP_BORDER_COLOR,clrDarkGreen);
   ObjectSetInteger(0,NomeBOX,OBJPROP_BACK,false); 
   ObjectSetInteger(0,NomeBOX,OBJPROP_STATE,false);
   ObjectSetInteger(0,NomeBOX,OBJPROP_SELECTABLE,false);
   ObjectSetInteger(0,NomeBOX,OBJPROP_SELECTED,false);
   ObjectSetInteger(0,NomeBOX,OBJPROP_HIDDEN,false);
   ObjectSetInteger(0,NomeBOX,OBJPROP_ALIGN,False);

}

//+------------------------------------------------------------------------------+
//| Funzione che rileva il Click del Mouse                                       |
//+------------------------------------------------------------------------------+  

void OnChartEvent(const int id, const long &lparam, const double &dparam, const string &sparam)
{
  if(id==CHARTEVENT_OBJECT_CLICK){
   
    if(sparam == BOX2){
//  *** Salvo nella Variabile NumeroTX il contenuto del BOX TX ***
       NumeroTX=StrToInteger(ObjectGetString(0,BOX1,OBJPROP_TEXT,0));
       
//  ** Salvo nella Variabile Globale NumeroTX_RX il contenuto della Variabile NumeroTX ***
       GlobalVariableSet("NumeroTX_RX",NumeroTX);                    
    }
  }
}